=== modified file 'bzrlib/tests/per_bzrdir/test_bzrdir.py'
--- bzrlib/tests/per_bzrdir/test_bzrdir.py	2012-01-18 17:47:06 +0000
+++ bzrlib/tests/per_bzrdir/test_bzrdir.py	2012-01-25 19:36:44 +0000
@@ -125,9 +125,13 @@
                     self.assertTrue(S_ISDIR(target.stat(path).st_mode))
                     directories.append(path)
                 else:
-                    self.assertEqualDiff(source.get(path).read(),
-                                         target.get(path).read(),
+                    source_file = source.get(path)
+                    target_file = target.get(path)
+                    self.assertEqualDiff(source_file.read(),
+                                         target_file.read(),
                                          "text for file %r differs:\n" % path)
+                    source_file.close()
+                    target_file.close()
 
     def assertRepositoryHasSameItems(self, left_repo, right_repo):
         """require left_repo and right_repo to contain the same data."""

=== modified file 'bzrlib/tests/per_tree/test_tree.py'
--- bzrlib/tests/per_tree/test_tree.py	2011-08-29 19:06:57 +0000
+++ bzrlib/tests/per_tree/test_tree.py	2012-01-25 19:36:44 +0000
@@ -160,12 +160,16 @@
         tree.lock_read()
         try:
             # Test lookup without path works
-            lines = tree.get_file('a-id').readlines()
+            file_without_path = tree.get_file('a-id')
+            lines = file_without_path.readlines()
             self.assertEqual(['foobar\n'], lines)
             # Test lookup with path works
-            lines = tree.get_file('a-id', path='a').readlines()
+            file_with_path = tree.get_file('a-id', path='a')
+            lines = file_with_path.readlines()
             self.assertEqual(['foobar\n'], lines)
         finally:
+            file_without_path.close()
+            file_with_path.close()
             tree.unlock()
 
     def test_get_file_text(self):

